Skip to main content
POST
/
api
/
agents
/
knowledge-bases
/
{kb_id}
/
unassign
Unassign Agent
curl --request POST \
  --url https://api-in.getello.ai/api/agents/knowledge-bases/{kb_id}/unassign \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '{}'
{
  "status": 200,
  "message": "Knowledge base unassigned successfully",
  "data": [
    "6960a6a1f89b3cdd196544cb"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs-in.getello.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

kb_id
string
required

Unique identifier of the knowledge base to unassign.

Example:

"kb_12345"

Body

application/json
agent_ids
string[]
required
Example:
["68dce5202fc07b92042493b1"]

Response

Knowledge base unassigned successfully

status
integer
Example:

200

message
string
Example:

"Knowledge base unassigned successfully"

data
string[]

List of agent IDs from which the knowledge base was unassigned

Example:
["6960a6a1f89b3cdd196544cb"]